Package: groovy.lang

## [Java] Class Tuple6<T1, T2, T3, T4, T5, T6>

- groovy.lang.Tuple6

-     public final class Tuple6<T1, T2, T3, T4, T5, T6>
      extends Tuple

  Represents a list of 6 typed Objects.

  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple6(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6)`
    `Tuple6(Tuple6<T1, T2, T3, T4, T5, T6> tuple)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Tuple6<T1, T2, T3, T4, T5, T6>` | `clone()`
    `` | `public T5` | `getFifth()`
    `` | `public T1` | `getFirst()`
    `` | `public T4` | `getFourth()`
    `` | `public T2` | `getSecond()`
    `` | `public T6` | `getSixth()`
    `` | `public T3` | `getThird()`
    `` | `public T1` | `getV1()`
    `` | `public T2` | `getV2()`
    `` | `public T3` | `getV3()`
    `` | `public T4` | `getV4()`
    `` | `public T5` | `getV5()`
    `` | `public T6` | `getV6()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `clone, compareTo, equals, get, hashCode, size, subList, subTuple, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

- - ### Constructor Detail

    - #### public Tuple6(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6)

    - #### public Tuple6(Tuple6<T1, T2, T3, T4, T5, T6> tuple)

  - ### Method Detail

    - #### @Override
      public Tuple6<T1, T2, T3, T4, T5, T6> clone()

    - #### @Deprecated
      public T5 getFifth()

    - #### @Deprecated
      public T1 getFirst()

    - #### @Deprecated
      public T4 getFourth()

    - #### @Deprecated
      public T2 getSecond()

    - #### @Deprecated
      public T6 getSixth()

    - #### @Deprecated
      public T3 getThird()

    - #### public T1 getV1()

    - #### public T2 getV2()

    - #### public T3 getV3()

    - #### public T4 getV4()

    - #### public T5 getV5()

    - #### public T6 getV6()